org.apache.ignite.internal.processors.cache

## Class TxTimeoutOnPartitionMapExchangeChangeMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.TxTimeoutOnPartitionMapExchangeChangeMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class TxTimeoutOnPartitionMapExchangeChangeMessage
    extends Object
    implements DiscoveryCustomMessage

Discovery message for changing transaction timeout on partition map exchange.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TxTimeoutOnPartitionMapExchangeChangeMessage(TxTimeoutOnPartitionMapExchangeChangeMessage req)` Constructor for response.
`TxTimeoutOnPartitionMapExchangeChangeMessage(UUID reqId, long timeout)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`DiscoCache` `createDiscoCache(GridDiscoveryManager mgr, AffinityTopologyVersion topVer, DiscoCache discoCache)` Creates new discovery cache if message caused topology version change.
`UUID` `getRequestId()` Gets request ID.
`long` `getTimeout()` Gets transaction timeout on partition map exchange in milliseconds.
`IgniteUuid` `id()`
`boolean` `isInit()` Gets init flag.
`boolean` `isMutable()`
`boolean` `stopProcess()` See `DiscoverySpiCustomMessage.stopProcess()`.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxTimeoutOnPartitionMapExchangeChangeMessage

    public TxTimeoutOnPartitionMapExchangeChangeMessage(TxTimeoutOnPartitionMapExchangeChangeMessage req)

Constructor for response.

Parameters:
  `req` - Request message.

#### TxTimeoutOnPartitionMapExchangeChangeMessage

    public TxTimeoutOnPartitionMapExchangeChangeMessage(UUID reqId,
                                                        long timeout)

Constructor.

Parameters:
  `reqId` - Request ID.
  `timeout` - Transaction timeout on partition map exchange in milliseconds.

### Method Detail

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `DiscoveryCustomMessage`
Returns:
  Unique custom message ID.

#### ackMessage

    @Nullable
    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Specified by:
  `ackMessage` in interface `DiscoveryCustomMessage`
Returns:
  Ack message or `null` if ack is not required.

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `DiscoveryCustomMessage`
Returns:
  `True` if message can be modified during listener notification. Changes will be sent to next nodes.

#### stopProcess

    public boolean stopProcess()

See `DiscoverySpiCustomMessage.stopProcess()`.

Specified by:
  `stopProcess` in interface `DiscoveryCustomMessage`
Returns:
  `True` if message should not be sent to others nodes after it was processed on coordinator.

#### createDiscoCache

    public DiscoCache createDiscoCache(GridDiscoveryManager mgr,
                                       AffinityTopologyVersion topVer,
                                       DiscoCache discoCache)

Creates new discovery cache if message caused topology version change.

Specified by:
  `createDiscoCache` in interface `DiscoveryCustomMessage`
Parameters:
  `mgr` - Discovery manager.
  `topVer` - New topology version.
  `discoCache` - Current discovery cache.
Returns:
  Reused discovery cache.

#### getRequestId

    public UUID getRequestId()

Gets request ID.

Returns:
  Request ID.

#### getTimeout

    public long getTimeout()

Gets transaction timeout on partition map exchange in milliseconds.

Returns:
  Transaction timeout on partition map exchange in milliseconds.

#### isInit

    public boolean isInit()

Gets init flag.

Returns:
  Init flag.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018